> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omni.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer document ownership

> Transfer ownership of a document to another user in the organization.

To successfully transfer a document: 

- The user performing the transfer must have `MANAGER` permissions or higher on the document
- The new owner must be a member of the organization AND have explicit access to the document

Upon success, the following occurs: 

- Ownership of the document is updated to the new owner
- The previous owner is granted `MANAGER` permissions on the document
- Explicit permits for the new owner are revoked, as they now have owner access
- Content search index is updated

**Note:** Transferring to the current owner is a no-op and returns success.




## OpenAPI

````yaml /api/openapi.yaml put /v1/documents/{documentId}/transfer-ownership
openapi: 3.1.0
info:
  title: Omni API
  description: >
    The Omni REST API provides programmatic access to your Omni instance for
    managing users, documents, queries, schedules, and more.  
  version: 1.0.0
  contact:
    name: Omni Support
    url: https://docs.omni.co
servers:
  - url: https://{instance}.omniapp.co/api
    description: Production
    variables:
      instance:
        default: blobsrus
        description: Your production Omni instance subdomain
  - url: https://{instance}.playground.exploreomni.dev/api
    description: Playground
    variables:
      instance:
        default: blobsrus
        description: Your playground Omni instance subdomain
security:
  - bearerAuth: []
  - orgApiKey: []
tags:
  - name: AI
    description: AI-powered query generation
  - name: API Tokens
    description: >-
      Manage API tokens (Organization keys, Personal Access Tokens, MCP OAuth
      grants)
  - name: Connections
    description: Manage database connections
  - name: Connection environments
    description: Manage connection environments database connections
  - name: Content
    description: Unified content retrieval (documents and folders)
  - name: Content migration
    description: Export and import dashboards
  - name: Content validator
    description: Validate content against models and perform find/replace operations
  - name: Dashboard downloads
    description: Download dashboards and tiles as PDF, PNG, XLSX, CSV, or JSON files
  - name: Dashboard filters and controls
    description: Read and update dashboard filter and control default values
  - name: dbt
    description: Manage dbt configuration for connections
  - name: Documents
    description: Create, retrieve, and manage documents
  - name: Document favorites
    description: Favorite and unfavorite documents
  - name: Document labels
    description: Apply and manage labels on documents
  - name: Document permissions
    description: Manage document-level access
  - name: Labels
    description: >
      Manage labels in an organization. Labels can be applied to documents and
      folders to help organize and categorize content.


      **Label types:**

      - **Basic labels**: Can be created and managed by any user

      - **Verified labels**: Indicate curated or officially sanctioned content.
      Admin-only.

      - **Homepage labels**: Appear on the organization homepage. Admin-only.
  - name: Folders
    description: Create and organize content folders
  - name: Folder permissions
    description: Manage folder-level access
  - name: Jobs
    description: Check status of asynchronous jobs
  - name: Models
    description: Create and manage data models
  - name: Model branches
    description: Manage model branches and merge changes
  - name: Model git configuration
    description: Manage git configuration for shared models
  - name: Queries
    description: Execute workbook queries
  - name: Schedules
    description: Create and manage scheduled tasks
  - name: Schedule recipients
    description: Manage schedule recipients
  - name: Schema refresh schedules
    description: Manage automated schema refresh schedules for connections
  - name: Topics
    description: Retrieve topic information from models
  - name: Uploads
    description: Manage file uploads
  - name: Users
    description: Manage users
  - name: User attributes
    description: Manage user attribute definitions
  - name: User groups
    description: Manage user groups
  - name: User model roles
    description: Manage model and connection role assignments for users
  - name: User group model roles
    description: Manage model and connection role assignments for user groups
  - name: Uploads
    description: Manage CSV and spreadsheet uploads
paths:
  /v1/documents/{documentId}/transfer-ownership:
    put:
      tags:
        - Documents
      summary: Transfer document ownership
      description: >
        Transfer ownership of a document to another user in the organization.


        To successfully transfer a document: 


        - The user performing the transfer must have `MANAGER` permissions or
        higher on the document

        - The new owner must be a member of the organization AND have explicit
        access to the document


        Upon success, the following occurs: 


        - Ownership of the document is updated to the new owner

        - The previous owner is granted `MANAGER` permissions on the document

        - Explicit permits for the new owner are revoked, as they now have owner
        access

        - Content search index is updated


        **Note:** Transferring to the current owner is a no-op and returns
        success.
      operationId: transferDocumentOwnership
      parameters:
        - name: documentId
          in: path
          required: true
          schema:
            type: string
          description: >
            The ID of the document to transfer. To retrieve the ID, navigate to
            **File > Document settings** in the document and then click
            **Settings**. The **Identifier** field contains the document ID.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - userId
              properties:
                userId:
                  type: string
                  description: >-
                    The membership ID of the user to transfer ownership to. This
                    must be a valid organization member who has explicit
                    permission on the document.
            example:
              userId: 9e8719d9-276a-4964-9395-a493189a247c
      responses:
        '200':
          description: >
            Document ownership transferred successfully.


            **Note:** This response is also returned when transferring to the
            current owner.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
              example:
                success: true
        '400':
          description: |
            Bad Request

            Possible error messages:
            - `Invalid JSON`
            - `userId is required`
            - `New owner must have explicit document permission`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                invalidJson:
                  summary: Invalid JSON body
                  value:
                    error: Invalid JSON
                missingUserId:
                  summary: Missing userId field
                  value:
                    error: userId is required
                noPermission:
                  summary: New owner lacks document permission
                  value:
                    error: New owner must have explicit document permission
        '403':
          description: >
            Forbidden


            Possible error messages:


            - `Insufficient permissions` - Acting user does not have `MANAGER`
            or higher permissions on the document
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: Insufficient permissions
        '404':
          description: |
            Not Found

            Possible error messages:

            - `Document with identifier "<documentId>" not found`
            - `User not found`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                documentNotFound:
                  summary: Document not found
                  value:
                    error: Document with identifier "doc-123" not found
                userNotFound:
                  summary: User not found
                  value:
                    error: User not found
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearerAuth: []
        - orgApiKey: []
components:
  schemas:
    SuccessResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
    Error:
      type: object
      properties:
        error:
          type: string
          description: HTTP response code for the error
          example: <response_code>
        message:
          type: string
          description: Detailed error description
          example: <error_reason>
  responses:
    MethodNotAllowed:
      description: Method Not Allowed - Invalid HTTP method for this endpoint
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Too Many Requests - Rate limit exceeded (60 requests/minute)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Can be either an [Organization API
        Key](/api/authentication#organization-api-keys) or [Personal Access
        Token (PAT)](/api/authentication#personal-access-tokens-pat).


        Include in the `Authorization` header as: `Bearer YOUR_TOKEN`
    orgApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Requires an [Organization API
        Key](/api/authentication#organization-api-keys). Personal Access Tokens
        (PATs) are not supported for this endpoint.


        Include in the `Authorization` header as: `Bearer ORGANIZATION_API_KEY`

````